<?php
/**
 * MWB Booking Product People Fields Tab
 *
 * @package MWB_Bookings_For_WooCommerce
 * @subpackage MWB_Bookings_For_WooCommerce/admin/partials
 */

?>
<div id="mwb_booking_people_data" class="panel woocommerce_options_panel show_if_mwb_booking">
	<div id="mwb_people_enable" class="options_group">
		<?php
			woocommerce_wp_checkbox(
				array(
					'id'          => 'mwb_people_enable_checkbox',
					'label'       => __( 'Enable/Disable People option', 'mwb-bookings-for-woocommerce' ),
					'value'       => $this->setting_fields['mwb_people_enable_checkbox'],
					'description' => __( 'Enable if extra peoples are to be included per booking.', 'mwb-bookings-for-woocommerce' ),
					'desc_tip'    => true,
				)
			);
			woocommerce_wp_text_input(
				array(
					'id'                => 'mwb_min_people_per_booking',
					'label'             => __( 'Min People per booking', 'mwb-bookings-for-woocommerce' ),
					'description'       => __( 'Minimum number of peoples allowed per bookings.', 'mwb-bookings-for-woocommerce' ),
					'value'             => $this->setting_fields['mwb_min_people_per_booking'],
					'desc_tip'          => true,
					'type'              => 'number',
					'style'             => 'width: 30%; margin-right: 7px;',         // Style parameter of the function.
					'custom_attributes' => array(
						'step' => '1',
						'min'  => '1',
					),
				)
			);
			woocommerce_wp_text_input(
				array(
					'id'                => 'mwb_max_people_per_booking',
					'label'             => __( 'Max People per booking', 'mwb-bookings-for-woocommerce' ),
					'description'       => __( 'Maximum number of peoples allowed per bookings.', 'mwb-bookings-for-woocommerce' ),
					'value'             => $this->setting_fields['mwb_max_people_per_booking'],
					'desc_tip'          => true,
					'type'              => 'number',
					'style'             => 'width: 30%; margin-right: 7px;',         // Style parameter of the function.
					'custom_attributes' => array(
						'step' => '1',
						'min'  => '1',
					),
				)
			);
			?>
			<div class="mwb_people_seperate_booking_field mwb-bookings__pro">
			<?php
			woocommerce_wp_checkbox(
				array(
					'id'          => 'mwb_people_as_separate_booking',
					'label'       => __( 'Allow Peoples as separate booking', 'mwb-bookings-for-woocommerce' ),
					'value'       => $this->setting_fields['mwb_people_as_separate_booking'],
					'description' => __( 'Check if peoples are to be counted as seperate bookings.', 'mwb-bookings-for-woocommerce' ),
					'desc_tip'    => true,
				)
			);
			?>
			</div>
			<?php
			woocommerce_wp_checkbox(
				array(
					'id'          => 'mwb_enable_people_types',
					'label'       => __( 'Enable people types', 'mwb-bookings-for-woocommerce' ),
					'value'       => $this->setting_fields['mwb_enable_people_types'],
					'description' => __( 'If people types are to be created.', 'mwb-bookings-for-woocommerce' ),
					'desc_tip'    => true,
				)
			);
			?>
	</div>
	<div id="mwb_add_people_type_select">
		<p class="form-field">
			<label for="mwb_booking_people_select_search"><?php esc_html_e( 'Add People Type', 'mwb-bookings-for-woocommerce' ); ?></label>
			<select id="mwb_booking_people_select_search" multiple ='multiple' name="mwb_booking_people_select[]" data-placeholder="<?php esc_html_e( 'Select people type', 'mwb-bookings-for-woocommerce' ); ?>" style="width: 40%">         <!-- Mandatory Inline CSS. -->
				<?php
				if ( ! empty( $this->setting_fields['mwb_booking_people_select'] ) ) {
					$selected_people_type = is_array( $this->setting_fields['mwb_booking_people_select'] ) ? array_map( 'absint', $this->setting_fields['mwb_booking_people_select'] ) : null;
					foreach ( apply_filters( 'mwb_wc_bk_people_type_select', $selected_people_type ) as $people_type_id ) {
						$people_type = get_term( $people_type_id )->name;
						?>
						<option value="<?php echo esc_html( $people_type_id ); ?>" selected="selected"><?php echo( esc_html( $people_type ) . '(#' . esc_html( $people_type_id ) . ')' ); ?></option>
						<?php
					}
				}
				?>
			</select>
			<?php $this->global_func->mwb_booking_help_tip( esc_html__( 'Add people type you want to include in booking', 'mwb-bookings-for-woocommerce' ) ); ?>
		</p>
	</div>

	<div id="mwb_enabled_people_type" class="options_group">
		<div id="mwb_people_type_heading">
			<h3><?php esc_html_e( 'People Types', 'mwb-bookings-for-woocommerce' ); ?></h3>
		</div>
		<div id="mwb_people_type_add" >
			<button class="btn"><a href="edit-tags.php?taxonomy=mwb_ct_people_type&post_type=mwb_cpt_booking" target="blank"><?php esc_html_e( 'Add New Type', 'mwb-bookings-for-woocommerce' ); ?></a></button>
		</div>
	</div>
</div>
